<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersichtAndererVeranstalter\SortierenDialog;

class SortierenDialogPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new SortierenDialogView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new SortierenDialogViewModel();
    foreach ($this->useCaseResponse->sortArryVals as $key => $value) {
      $viewModel->{$key} = $value;
    }

    return $viewModel;
  }

  protected function getJsFilesSrcAryWeitere(): array
  {
    return array(
      $this->getJsFileFromSys('kursuebersicht.js')
    );
  }
}